<template>
  <div class="empty">
    <EmptyIcon class="empty__icon"/>
    <p class="empty__text">{{ title }}</p>
  </div>
</template>

<script>
import EmptyIcon from "@/assets/svgs/empty_box.svg";

export default {
  components: {
    EmptyIcon
  },
  name: "Empty",
  props: {
    title: {
      type: String,
      default: ""
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.empty
  display flex
  align-items center
  justify-content center
  flex-direction column
  padding $sm 0
  &__icon
    width 10rem
    height 10rem
    fill $grey
    opacity .7
  &__text
    direction rtl
    margin-top $xxsm
    color $grey
</style>